Bug 189788 - HWCERT: CPC5505 B1
HWCERT: CPC5505 B1
Status: CLOSED DEFERRED
Product: Red Hat Ready Certification Tests
Classification: Retired
Component: dumpster (Show other bugs)
1.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Rob Landry
Rob Landry
http://www.pt.com/products/prod_CPC55...
CPC5505
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-24 13:33 EDT by Jude Michael Moersdorf
Modified: 2007-11-20 02:31 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-06 14:46:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
CPC5505 Manual (1.44 MB, application/pdf)
2006-04-28 14:03 EDT, Jude Michael Moersdorf
no flags Details

  None (edit)
Description Jude Michael Moersdorf 2006-04-24 13:33:20 EDT
Red Hat Hardware Certification Submitted

Product:        Red Hat Enterprise Linux
Version:        4
Make:           CPC5505
Model:          B1
Vendor:         
Category:       Server
Reporter:       jude.moersdorf@pt.com
Kernel Version: kernel-2.6.9-34.EL

File Uploaded:
rhr2-B1-Nahant_Update_3_results-1.noarch.rpm
https://bugzilla.redhat.com/hwcert/data/rpms/feda9c6784e6aaad919f6ee9a2ba7ebb/rhr2-B1-Nahant_Update_3_results-1.noarch.rpm

0   PASSED   USB
    PASSED   INFO
1   PASSED   INFO
    PASSED   VIDEO
    PASSED   STORAGE
    FAILED   NETWORK
    PASSED   CORE
Comment 1 Rob Landry 2006-04-28 13:07:52 EDT
Jude,

Pretty good start; below are the remaining items I see from the product
description provided on the updated url that we need to cover before we're
squared away.  Oh, and welcome to the program.

-Rob


The Network test failed; my guess would be that eth1 was not configured.

The USB test was only configured for a single port; I'm assuming this is the USB
2.0 front panel port; the specs mention that 2x 1.0 ports are routed through cPCI

Also routed through cPCI is an ATA33 controller (the ATA133 controller was
already tested)

Representative hardware is also required for all certified system; most likely a
cPCI frame and blade would be required.
Comment 2 Jude Michael Moersdorf 2006-04-28 13:24:22 EDT
I'm not sure how the NETWORK test works, but both ethernet devices are usually
configured for DHCP and they are on the same subnet, etc.  Is this a problem for
the tests?

With many of our boards, signals can be routed to an optional card that can be
plugged into the rear.  How does this affect certification?  If we certify just
the CPU board, then we can't test some of the functionality that is routed to
the rear.  If we use a card in the rear, does this change what we are testing?
Comment 3 Rob Landry 2006-04-28 13:34:39 EDT
For the NETWORK test it is actually ok to have them both on the same subnet as
the test brings them all down and then turns them on one at a time to perform
the test.

For the cPCI routing, it will depend on the specifics, my assumtion is the cPCI
was simply trace routing where some set of wires equated the traces of the 2 USB
ports and at some point that would be wired to a port.  If that's the case then
we should test for complete coverage, if on the other hand there's a
concentrator or other hub/router/switch something(s) then perhaps we should
discuss those in detail.
Comment 4 Jude Michael Moersdorf 2006-04-28 14:03:31 EDT
Created attachment 128366 [details]
CPC5505 Manual
Comment 5 Rob Landry 2006-05-04 08:57:13 EDT
From what I see in the manual it appears the correct course of action would be
to test the rear routed functionality of the CPU board but not any additional
function that may be provided by the option modules (unless it is more
desireable to include them in a sort of "CPU Board + XXX" certification).
Comment 6 Jude Michael Moersdorf 2006-05-08 11:23:57 EDT
Sounds good.  I was out most of last week and will be getting on this stuff
again this week.  I believe that you were correct about the network
configuration not being set up in the ifcfg-eth1 script for the second ethernet
adapter.

How long do you guys need the boards/system for?  For this product, time might
not be an issue.  We are attempting to get a new product certified and we have
very few production boards and 2 GB memory modules are very hard to come
by...customers seem to take priority over engineering.

Would it be possible for us to send a chassis with two different boards to be
certified?  One would be the CPC5505, the other would be our latest board the
CPC5564.

Thanks,
Jude
Comment 7 Rob Landry 2006-05-10 08:33:04 EDT
> How long do you guys need the boards/system for?

Representative hardware is required for the lifetime of the cert.

> Would it be possible for us to send a chassis with two different boards to be
certified?

I presume this would be a chassis which takes both at the same time?  If it's a
single board chassis we may be able to work with that; however it limits our
ability to provide support which is undesireable.  Also to ensure expectations
are set, we only require commitment/shipment of representative hardware before
posting we won't hold the cert while the system is in transit as to not defeat
the point of doing the testing before hand.
Comment 8 Rob Landry 2006-09-06 14:46:02 EDT
I'm going to go ahead and close this one out.  We can re-open if needed.
Comment 10 QinXie 2007-11-20 02:31:47 EST
Set it to be dumpest.

Note You need to log in before you can comment on or make changes to this bug.